XtAppError(3Xt)

NAME
XtAppError, XtAppSetErrorHandler, XtAppSetWarningHandler, XtAppWarning - low-level error handlers

SYNTAX

void XtAppError(XtAppContext app_context, String message);

void XtAppSetErrorHandler(XtAppContext app_context, XtErrorHandler handler);

void XtAppSetWarningHandler(XtAppContext app_context, XtErrorHandler handler);

void XtAppWarning(XtAppContext app_context, String message);

ARGUMENTS

app_context
    Specifies the application context.

message
    Specifies the nonfatal error message that is to be reported. or the nonfatal error procedure, which usually returns

handler
    Specifies the new fatal error procedure, which should not return,.

message
    Specifies the message that is to be reported.

DESCRIPTION
The function calls the installed error procedure and passes the specified message.

The function registers the specified procedure, which is called when a fatal error condition occurs.

The registers the specified procedure, which is called when a nonfatal error condition occurs.

The function calls the installed nonfatal error procedure and passes the specified message.

SEE ALSO
XtAppGetErrorDatabase(3Xt), XtAppErrorMsg(3Xt)
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface